diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index ab2f2fb..dbdd6cc 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -1394,8 +1394,9 @@
       // Fetch the information only if the SQL tab is visible at the moment.
       if (this.dialog && obj.shown == this.tabIndex) {
 
-        // We will send request to sever only if something is changed in model
-        if(this.model.sessChanged()) {
+        // We will send a request to the sever only if something has changed
+        // in a model and also it does not contain any error.
+        if(this.model.sessChanged() && _.size(this.model.errorModel.attributes) == 0) {
 
           var self = this,
             node = self.field.get('schema_node'),
